package xmlclx;

public class DacQuery extends XMLInterfacedObject
{	
	native public void close();
	native public void execSQL();
	native public boolean eof();
	native public int fieldCount();
	native public boolean getActive();
	native public String getFieldAsString(String fieldName);
	native public String getFieldName(int index);
	native public String getFieldNoAsString(int index);
	native public String getParamName(int index);
	native public String getParamAsString(String paramName);
	native public String getParamNoAsString(int index);
	native public void next();
	native public void open();
	native public int paramCount();
	native public void prepare();
	native public boolean prepared();
	native public void setDatabase(DacDatabase database);
	native public void setFieldAsString(String fieldName, String value);
	native public void setFieldNoAsString(int index, String value);
	native public void setParamAsString(String paramName, String value);
	native public void setParamNoAsString(int index, String value);
	native public void setSQL(String value); 
	native public void setParamTypeNo(int index, String value);
	native public void setParamType(String paramName, String value);
	native public String getFieldNoType(int index);
	native public String getFieldType(String fieldName);
	native public String getParamNoType(int index);
	native public String getParamType(String paramName);
	native public String getCommandType();
	native public void setCommandType(String value);
	 
	public DacQuery(int nativeDacQuery)
	{
		this.nativeObject = nativeDacQuery;
	}
}
