package xmlclx;
import javax.servlet.ServletInputStream;
import javax.servlet.http.*;

public class XMLApplication extends XMLInterfacedObject
{
	native static public void dispatchRequest(HttpServletRequest request, HttpServletResponse response);
	native static public void registerModuleClass(String moduleClassName);
	native static public void release();
	native public XMLCursor getAliases();
	native public String getAppFileName();
	native public String getAppPath();
	native public XMLContext getConfig();
	native public XMLCursor getDataSources();
	native public XMLContext getGlobalParams();
	native public XMLContext getInitParams();
	native public boolean getNeedToInitialize();
	native public void setNeedToInitialize(boolean value);
	
	public XMLApplication(int nativeXMLApplication)
	{
		this.nativeObject = nativeXMLApplication;
	}
	static public String getContentStr(HttpServletRequest request)
	{
		byte[] buffer = new byte[4096];
		String s = "";

		try
		{
			ServletInputStream reqInput = request.getInputStream();
			int count;
			do
			{
				count = reqInput.read(buffer);
				if (count == -1)
					break;			
				s += new String(buffer, 0, count);
			} while (count != -1);
		}
		catch (Exception e)
		{
			
		}
		return s;
	}
	static public String getCookiesStr(HttpServletRequest request)
	{
		String s = "";
		Cookie[] cookies;
		
		cookies = request.getCookies();
		if ((cookies == null) || (cookies.length == 0))
			return s;
		for (int i = 0; i < cookies.length-1; i++)
		{
			s += cookies[i].getName() + "=" + cookies[i].getValue() + ";";
		}
		return s + cookies[cookies.length-1].getName() + "=" + cookies[cookies.length-1].getValue();
	}
	
	
}
