package xmlclx;

public class XMLContext extends XMLInterfacedObject
{	
	native public void assign(XMLContext context);
	native public void assignValues(XMLContext values);
	native public void clear();
	native public XMLContext cloneXMLContext();
	native public String getName(int index);
	native public String getValue(String name);
	native public String getValueNo(int index);
	native public String getXML(String rootElement);
	native public int indexOfName(String name);
	native public void setValue(String name, String value);
	native public String getCommaText();
	native public void setCommaText(String value);
	native public int getCount();
	native public String getText();
	native public void setText(String value);
	native public XMLCursor getXMLCursor(String name);
	native public void setXMLCursor(String name, XMLCursor value);
	
	public XMLContext(int nativeXMLContext)
	{
		this.nativeObject = nativeXMLContext;
	}
}
