package xmlclx;

import java.lang.reflect.*;

public class XMLModule
{	
	native void registerComponent(String componentName);
	
	
	private	int nativeObject;
	protected XMLContext context;
	protected XMLRequest xmlRequest;
	protected XMLCollection xmlCollection;
	protected XMLApplication xmlApplication;
	protected XMLCGenerator xmlcGenerator;
	
	public void initXMLContext(int nativeXMLContext)
	{
		context = new XMLContext(nativeXMLContext);
	}
	public void initXMLRequest(int nativeXMLRequest)
	{
		xmlRequest = new XMLRequest(nativeXMLRequest);
	}
	public void searchComponents()
	{
		Field[] fs = this.getClass().getDeclaredFields();
		for (int i = 0; i < fs.length; i++)
		{
			try
			{
				String className = fs[i].getType().getName(); 
				if (className.equals("xmlclx.XMLApplicationEvents"))
				{
					registerComponent(fs[i].getName());
				} 
				else if (className.equals("xmlclx.XMLCollectionEvents"))
				{
					registerComponent(fs[i].getName());
				}
			}
			catch(Exception ex)
			{
			}
		}
	}
	
}
