package xmlclx;

public class XMLRequest extends XMLInterfacedObject
{	 
	native public void addCookie(String name, String value, String domain, String path, String expires);
	native public void debugDump(XMLInstruction xmlInstruction, String event, XMLCursor inputDoc, XMLCursor outputDoc, XMLCursor input, XMLCursor Output); 
    native public void debugDump2(String className, String operation, String name, boolean main, XMLInstruction xmlInstruction, String event, XMLCursor inputDoc, XMLCursor outputDoc, XMLCursor input, XMLCursor output);
    native public void debugException(String name, String operation, XMLInstruction xmlInstruction, XMLCursor outputDoc, XMLCursor output, String exceptionMessage);
    native public void debugSimple(String name,XMLCursor outputDoc, XMLCursor output);
    native public void debugStack(String className, String operation, String name, boolean main, boolean summary);
    native public void debugUnstack();
    native public String getCallStack();
    native public String getContent();
	native public String getCookie(String name);
	native public boolean getDebug();
	native public String getErrorLog();
	native public String getFileNo(int index);
	native public int getFileCount();
	native public String getFileName(int index);
	native public void insertError(String value);
	native public boolean isKilled();
	native public void kill();
	native public void logError(String value);
	native public void restoreContext();
	native public void saveContext();
	native public void sendRedirect(String uri);
	native public void setContent(String value);
	native public void setContentStream(int stream);
	native public void setContentType(String value);
	native public void setCookie(String name, String value);
	native public void setCustomHeader(String name, String value);
	native public void setDebug(boolean value);
	native public void setExpires(String date);
	native public void sendResponse();
	native public void stack(String methodName);
	native public void unstack();
	native public void writeString(String s);
	native public XMLContext getXMLContext();
	native public void raiseError(String errorCode, String value);
	native public String getErrorCode();
	native public void clearError();
	native public XMLCursor getProfile();
	native public XMLCursor getSession();
	native public void saveFileNo(int index, String fileName);
	native public void clearFiles();
	native public void sendFile(String fileName, boolean preload);
	 
	public XMLRequest(int nativeXMLRequest)
	{
		this.nativeObject = nativeXMLRequest;
	}
}
