package xmlclx;

public class XMLCollection extends XMLInterfacedObject
{
	native public void dbBatch(String queryName);
	native public void dbExtract(String queryName);
	native public void dbFetch(DacQuery query);
	native public void execute(String xmlService);
	native public XMLCursor execute2(String xmlService, XMLCursor inputDoc, XMLCursor outputDoc);
	native public void executeSoapOperation(String name);
	native public void executeXMLInstruction(String xmlService, String xmlInstruction, XMLCursor inputDoc, XMLCursor outputDoc);
	native public XMLService findXMLService(String name);
	native public DacDatabase getDatabase(String databaseName);
	native public int getDatabaseCount();
	native public DacDatabase getDatabaseNo(int index);
	native public DacQuery getQuery(String name);
	native public SoapOperation getSoapOperation(String name);
	native public XMLService getXMLService(String name);
	native public void pivot(String fieldName);
	native public void unpivot(String fieldName, String destFieldName);
	native public XMLContext getXMLCache();
	native public XMLRequest getXMLRequest();
	native public XMLContext getXSLCache();
	native public XMLCursor createXMLCursor();
	native public XSLProc createXSLProc();
	native public void executeAsync(String xmlService);
	native public void pivotFields(String xmlFieldName, String fieldNames);
	native public void dbForEach(String queryName, String xmlService);
	native public void resetXMLCache(String name);
	native public void startPerformanceCounter(String name);
	native public void endPerformanceCounter();
	native public String scanReplaceParams(String value);
	
	public XMLCollection(int nativeXMLCollection)
	{
		this.nativeObject = nativeXMLCollection;
	}

}
