package xmlclx;

/*
 */
public class XMLCursor extends XMLInterfacedObject
{ 	
	native public XMLCursor appendChild(String elementName, String value);
	native public void appendChild2(String elementName, String value);
	native public void appendXMLCursor(XMLCursor xmlCursor);
	native public String containerXML();
	native public int count();
	native public void delete();
	native public XMLCursor document();
	native public boolean eof();
	native public void first();
	native public String getName();
	native public String getValue(String xpath);
	native public XMLCursor insertBefore(String elementName, String value);
	native public XMLCursor insertAfter(String elementName, String value);
	native public XMLCursor insertFirstChild(String elementName, String value);
	native public void last();
	native public void load(String fileName);
	native public void loadXML(String sourceXML);
	native public void moveTo(int index);
	native public void next();
	native public String prettyXML();
	native public int recNo();
	native public void replaceWithXMLCursor(XMLCursor xmlCursor);
	native public void save(String fileName);
	native public XMLCursor select(String xpath);
	native public void setAttributeValue(String attributeName, String value);
	native public void setCValue(String elementName, String value);
	native public void setValue(String elementName, String value);
	native public String xml();
	
	native private int createXMLCursor();
	
	public XMLCursor()
	{
		nativeObject = createXMLCursor();
	}
	public XMLCursor(int nativeXMLCusror) // must not be called by developper
	{
		this.nativeObject = nativeXMLCusror;  
	}
	protected void finalize()
	{
		releaseNativeInterfacedObject(nativeObject);
	}
}
